28 December 2007

Installing Litespeed on Slicehost

I was trying to install Litespeed on a new slice at Slicehost. This is an Ubuntu 7.10 setup. It all seemed to work until I tried to start it up. It said it couldn't find the binary for lshttpd, but it was there. Doing some searching finally yielded this thread, where I realized I just needed to install the 32-bit compatible libraries (since Litespeed is 32-bit). So, a simple sudo aptitude install ia32-libs and a re-install of Litespeed did the trick.